Skip to main content
GET
/
v1
/
root-cause-analyses
/
{id}
Show details of a specific root cause analysis. Use the `id` returned from the POST endpoint to poll until this endpoint stops returning a 404.
curl --request GET \
  --url https://api.checklyhq.com/v1/root-cause-analyses/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "checkType": "<string>",
  "provider": "<string>",
  "model": "<string>",
  "durationMs": 123,
  "checkId": "<string>",
  "errorGroupId": "<string>",
  "analysis": {
    "classification": "<string>",
    "userImpact": "<string>",
    "rootCause": "<string>",
    "codeFix": "<string>",
    "evidence": [
      {
        "artifacts": [
          {
            "name": "<string>",
            "type": "<string>"
          }
        ],
        "description": "<string>"
      }
    ],
    "referenceLinks": [
      {
        "url": "<string>",
        "title": "<string>"
      }
    ]
  },
  "created_at": "2023-12-25"
}

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

id
string
required

Response

Successful

id
string
required
checkType
string
required

Type of check that triggered this analysis, e.g. "API" or "BROWSER"

provider
string
required

AI provider used for the analysis

model
string
required

AI model used for the analysis

durationMs
number
required

Time taken to generate the analysis in milliseconds

checkId
string | null
errorGroupId
string | null
analysis
object
created_at
string<date>